Holger's Java API

## com.antelmann.ooffice
Enum ParagraphAlignment

    java.lang.Object
      java.lang.Enum<ParagraphAlignment>
          com.antelmann.ooffice.ParagraphAlignment

All Implemented Interfaces:
  Serializable, Comparable<ParagraphAlignment>

    public enum ParagraphAlignment

extends Enum<ParagraphAlignment>

defines the adjustment of paragraphs

Since:
  12.02.2009, 14:10:36
Author:
  Holger Antelmann

Enum Constant Summary
`BLOCK`
`CENTER`
`LEFT`
`RIGHT`
`STRETCH`

Field Summary
`static String` `KEY`

Method Summary
`void` `applyTo(Object obj)`
`static ParagraphAlignment` `fromValue(int value)`
`short` `getValue()`
`static ParagraphAlignment` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ParagraphAlignment[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BLOCK

    public static final ParagraphAlignment BLOCK

### CENTER

    public static final ParagraphAlignment CENTER

### LEFT

    public static final ParagraphAlignment LEFT

### RIGHT

    public static final ParagraphAlignment RIGHT

### STRETCH

    public static final ParagraphAlignment STRETCH

Field Detail

### KEY

    public static final String KEY

See Also:
  Constant Field Values

Method Detail

### values

    public static ParagraphAlignment[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ParagraphAlignment c : ParagraphAlignment.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ParagraphAlignment valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getValue

    public short getValue()

### fromValue

    public static ParagraphAlignment fromValue(int value)

### applyTo

    public void applyTo(Object obj)
                 throws IllegalArgumentException,
                        OfficeException

  Throws:
    `IllegalArgumentException`
    `OfficeException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads